Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81689 - probe command segfaults / hangs system
Summary: probe command segfaults / hangs system
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-12 19:43 UTC by Chris Ricker
Modified: 2015-01-04 22:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-25 08:29:16 UTC


Attachments (Terms of Use)
core from /sbin/probe -t a (deleted)
2003-01-12 19:44 UTC, Chris Ricker
no flags Details

Description Chris Ricker 2003-01-12 19:43:33 UTC
Just reported on full-disclosure, and reproduced on 2.4.18-19.8 (SMP).

As a normal user, the command:

$ /sbin/probe -t a

segfaults (doesn't have to be a -- any string will do). The core dump will be
attached.

As a root user, the same command:

# /sbin/probe -t a

hangs the system

Comment 1 Chris Ricker 2003-01-12 19:44:47 UTC
Created attachment 89322 [details]
core from /sbin/probe -t a

core dump generated by

$ /sbin/probe -t a


Note You need to log in before you can comment on or make changes to this bug.